%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# there is no test suite

Name:       nodejs-css
Version:    2.2.1
Release:    1%{?dist}
Summary:    A CSS parser/stringifier for Node.js using css-parse and css-stringify
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/css
Source0:    http://registry.npmjs.org/css/-/css-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(css-stringify)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test
%endif


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/css


%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-1
- Update to upstream 2.2.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.6.0-1
- initial package
